/*
	Non-English ExternalInterface string test for GNU Flash Player
	Written (2017) by Nutchanon Wetchasit <Nutchanon.Wetchasit@gmail.com>
	
	Released to public domain under Creative Commons Zero 1.0
	(https://creativecommons.org/publicdomain/zero/1.0/)
*/
function thaifunc(arg) {
	var thaivalue:String;
	var codepoints:String;
	var i:Number,l:Number;
	
	trace("js2flash-thaiarg: thaifunc arg: "+arg);
	if(typeof(arg)=="string") {
		codepoints="";
		for(i=0,l=arg.length;i<l;i++) {
			if(i>0) codepoints+=",";
			codepoints+=arg.charCodeAt(i);
		}
		trace("js2flash-thaiarg: thaifunc: code points: "+codepoints);
	}
};

if(!flash.external.ExternalInterface.available) {
	trace("js2flash-thaiarg: ExternalInterface is not available");
} else {
	if(!flash.external.ExternalInterface.addCallback("thaifunc",this,thaifunc)) {
		trace("js2flash-thaiarg: callback registration failed");
	} else {
		trace("js2flash-thaiarg: callback ready");
	}
}
